Skip to navigation

Update content tag OAuth Scope: posts:write

Update a content tag. Only the provided fields are changed. Renaming a tag keeps its slug unless a new slug is provided.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
contentTagIdstringRequiredformat: "^(content_tag_[0-9a-fA-F\-]+)$"
The prefixed ID of the content tag object

Request

This endpoint expects an object.
displaystringOptionalformat: "\S"
The name of the content tag as shown on the website.
slugstringOptionalformat: "^[a-z0-9_]+(-[a-z0-9_]+)*$"
The URL slug of the content tag's page.
descriptionstringOptional
A description of the content tag.

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error